import { h, LogicFlow, PolylineEdge, PolylineEdgeModel } from '@logicflow/core';
import EdgeConfig = LogicFlow.EdgeConfig;
export declare const DISTANCE = 12;
export declare const ICON_HEIGHT = 16;
export declare const ICON_WIDTH = 16;
export declare const WORD_HEIGHT = 16;
declare class LogicPolyline extends PolylineEdge {
    ins: any;
    constructor(_props: any);
    shouldUpdate(): true | undefined;
    getText(): h.JSX.Element | null;
}
declare class LogicPolylineModel extends PolylineEdgeModel {
    initEdgeData(data: EdgeConfig): void;
    setAttributes(): void;
    getEdgeStyle(): {
        [x: string]: unknown;
        fill?: string | undefined;
        stroke?: string | undefined;
        strokeWidth?: number | undefined;
        radius?: number | undefined;
        rx?: number | undefined;
        ry?: number | undefined;
        width?: number | undefined;
        height?: number | undefined;
        path?: string | undefined;
    };
    getNodeStyle(): {};
    getEdgeAnimationStyle(): LogicFlow.EdgeAnimation;
    setHovered(flag?: boolean): void;
    setSelected(flag?: boolean): void;
    setZIndex(index?: number): void;
    initPoints(): void;
    getOuterGAttributes(): {
        className: string;
    };
}
declare const _default: {
    type: string;
    model: typeof LogicPolylineModel;
    view: typeof LogicPolyline;
};
export default _default;
